/*
 * Famous.java
 *
 * Created on 2. Dezember 2007, 16:06
 */

/*
 The contents of this file are subject to the
 Mozilla Public License Version 1.1 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS" basis,
 WITHOUT WARRANTY OF ANY KIND, either express or implied.
 See the License for the specific language governing rights
 and limitations under the License.

 The Initial Developer of the Original Code is
 Georg-Johann Lay (GeorgJohann@web.de).

 Portions created by the Initial Developer are
 Copyright (C) 2007 Georg-Johann Lay. All Rights Reserved.

 Alternatively, the contents of this file may be used under the terms
 of either the GNU General Public License Version 3 or later (the "GPL"),
 or the GNU Lesser General Public License Version 3 or later (the "LGPL"),
 in which case the provisions of the GPL or the LGPL are applicable instead
 of those above.

 If you wish to allow use of your version of this file only
 under the terms of either the GPL or the LGPL, and not to allow others to
 use your version of this file under the terms of the MPL, indicate your
 decision by deleting the provisions above and replace them with the notice
 and other provisions required by the LGPL or the GPL. If you do not delete
 the provisions above, a recipient may use your version of this file under
 the terms of any one of the MPL, the GPL or the LGPL.
*/

package de.gjlay.chess;

import de.gjlay.mobile.ui.SelectorLabel;

/**
 *
 * @author Georg-Johann Lay
 */
class Famous
{
    static final String[][] GAMES =
    {
        {   "Gaudersen-Faul",
            "e2e4",  "e7e6",
            "d2d4",  "d7d5",
            "e4e5",  "c7c5",
            "c2c3",  "c5d4 ?!",
            "c3d4",  "f8b4",
            "b1c3",  "b8c6",
            "g1f3",  "g8e7",
            "f1d3",  "e8g8 ?",
            "d3h7",  "g8h7",
            "f3g5",  "h7g6",
            "h2h4",  "c6d4",
            "d1g4",  "f7f5",
            "h4h5",  "g6h6",
            "g5e6",  "g7g5",
            "h5g6"
        },
        {   "Euwe-Rti",
            "e2e4", "e7e5",
            "g1f3", "b8c6",
            "f1c4", "g8f6",
            "d2d4", "e5d4",
            "e1g1", "f6e4",
            "f1e1", "d7d5",
            "c4d5", "d8d5",
            "b1c3", "d5a5",
            "f3d4", "c6d4",
            "d1d4", "f7f5",
            "c1g5", "a5c5",
            "d4d8", "e8f7",
            "c3e4", "f5e4",
            "a1d1", "f8d6 !",
            "d8h8", "c5g5",
            "f2f4", "g5h4",
            "e1e4", "c8h3 !!",
            "h8a8", "d6c5",
            "g1h1", "h3g2",
            "h1g2", "h4g4",
            "g2f1", "g4f3",
            "f1e1", "f3f2"
        },
        {   "Sokolow-Rusnikow",
            "e2e4", "e7e5",
            "g1f3", "b8c6",
            "f1c4", "g8f6",
            "d2d4", "e5d4",
            "e1g1", "f6e4",
            "b1c3 !?", "d4c3",
            "c4f7 !", "e8f7",
            "d1d5", "f7e8",
            "f1e1", "f8e7",
            "e1e4", "d7d6",
            "c1g5", "c3b2",
            "a1e1", "h8f8 ?!",
            "g5e7", "c6e7",
            "d5h5 !", "e8d7",
            "f3d4", "c7c5",
            "h5g4", "d7c7",
            "e4e7", "d8e7",
            "e1e7", "c7d8",
            "g4g5", "h7h6",
            "e7b7 !!"
        },
        {   "Johannsson-Nilsson",
            "d2d4", "d7d5",
            "c2c4", "e7e6",
            "g1f3", "c7c6",
            "e2e3", "g8f6",
            "b1c3", "b8d7",
            "f1d3", "d5c4",
            "d3c4", "b7b5",
            "c4d3", "c8b7",
            "e3e4", "b5b4",
            "e4e5 ?", "b4c3",
            "e5f6", "c3b2",
            "f6g7", "b2a1D",
            "g7h8D","d8a5",
            "f3d2", "a5c3 !",
            "e1e2", "d7c5 !",
            "h8h7", "c5d3",
            "h7d3", "c3d3",
            "e2d3", "b7a6",
            "d3c2", "a1a2",
            "c1b2", "a8b8",
            "d1a1", "b8b2",
            "a1b2", "a6d3",
            "c2c3", "f8b4 !"
        },
        {   "Anand-Radjabov",
            "e2e4", "c7c5",
            "g1f3", "b8c6",
            "d2d4", "c5d4",
            "f3d4", "e7e5",
            "d4b5", "d7d6",
            "c2c4", "f8e7",
            "b2b3", "f7f5",
            "e4f5", "c8f5",
            "f1d3", "e5e4",
            "d3e2", "a7a6",
            "b5c3", "e7f6",
            "e1g1", "g8e7",
            "a2a3", "e8g8",
            "a1a2", "d8a5",
            "b3b4", "a5e5",
            "f1e1", "b7b5",
            "c4b5", "a6b5",
            "e2b5", "c6d4 ?",
            "b5f1 ?", "d6d5",
            "a2d2 !", "f5e6 !",
            "f2f4", "e5f4",
            "d2f2 !", "f4f2 !!",
            "g1f2", "d4b5",
            "f2g1", "b5c3",
            "b1c3", "f6c3",
            "f1b5", "c3e1",
            "d1e1", "e7f5",
            "c1b2", "a8c8 !",
            "b5a4", "f8f7",
            "h2h3 ?!", "h7h5 !",
            "b4b5", "h5h4",
            "b2e5", "d5d4 !!",
            "b5b6", "e4e3 !",
            "g1h2", "d4d3",
            "e1b4", "e3e2",
            "e5c3", "c8c3 !",
            "b4c3", "f5g3",
            "b6b7", "f7b7",
            "c3a5", "b7b8 !"
        },
        {   "Byrne-Fischer",
            "g1f3", "g8f6",
            "c2c4", "g7g6",
            "b1c3", "f8g7",
            "d2d4", "e8g8",
            "c1f4", "d7d5",
            "d1b3", "d5c4",
            "b3c4", "c7c6",
            "e2e4", "b8d7",
            "a1d1", "d7b6",
            "c4c5", "c8g4",
            "f4g5 ?", "b6a4 !",
            "c5a3", "a4c3",
            "b2c3", "f6e4",
            "g5e7", "d8b6",
            "f1c4", "e4c3",
            "e7c5", "f8e8",
            "e1f1", "g4e6 !!",
            "c5b6", "e6c4",
            "f1g1", "c3e2",
            "g1f1", "e2d4",
            "f1g1", "d4e2",
            "g1f1", "e2c3",
            "f1g1", "a7b6",
            "a3b4", "a8a4",
            "b4b6", "c3d1",
            "h2h3", "a4a2",
            "g1h2", "d1f2",
            "h1e1", "e8e1",
            "b6d8", "g7f8",
            "f3e1", "c4d5",
            "e1f3", "f2e4",
            "d8b8", "b7b5",
            "h3h4", "h7h5",
            "f3e5", "g8g7",
            "h2g1", "f8c5",
            "g1f1", "e4g3",
            "f1e1", "c5b4",
            "e1d1", "d5b3",
            "d1c1", "g3e2",
            "c1b1", "e2c3",
            "b1c1", "a2c2"
        },
        {   "Fischer-Spassky",
            /* 1 */ "c2c4", "e7e6",
            /* 2 */ "g1f3", "d7d5",
            /* 3 */ "d2d4", "g8f6",
            /* 4 */ "b1c3", "f8e7",
            /* 5 */ "c1g5", "e8g8",
            /* 6 */ "e2e3", "h7h6",
            /* 7 */ "g5h4", "b7b6",
            /* 8 */ "c4d5", "f6d5",
            /* 9 */ "h4e7", "d8e7",
            /* 10 */ "c3d5", "e6d5",
            /* 11 */ "a1c1", "c8e6",
            /* 12 */ "d1a4", "c7c5",
            /* 13 */ "a4a3", "f8c8",
            /* 14 */ "f1b5", "a7a6",
            /* 15 */ "d4c5", "b6c5",
            /* 16 */ "e1g1", "a8a7",
            /* 17 */ "b5e2", "b8d7",
            /* 18 */ "f3d4", "e7f8",
            /* 19 */ "d4e6", "f7e6",
            /* 20 */ "e3e4", "d5d4",
            /* 21 */ "f2f4", "f8e7",
            /* 22 */ "e4e5", "c8b8",
            /* 23 */ "e2c4", "g8h8",
            /* 24 */ "a3h3", "d7f8",
            /* 25 */ "b2b3", "a6a5",
            /* 26 */ "f4f5", "e6f5",
            /* 27 */ "f1f5", "f8h7",
            /* 28 */ "c1f1", "e7d8",
            /* 29 */ "h3g3", "a7e7",
            /* 30 */ "h2h4", "b8b7",
            /* 31 */ "e5e6", "b7c7",
            /* 32 */ "g3e5", "d8e8",
            /* 33 */ "a2a4", "e8d8",
            /* 34 */ "f1f2", "d8e8",
            /* 35 */ "f2f3", "e8d8",
            /* 36 */ "c4d3", "d8e8",
            /* 37 */ "e5e4", "h7f6",
            /* 38 */ "f5f6", "g7f6",
            /* 39 */ "f3f6", "h8g8",
            /* 40 */ "d3c4", "g8h8",
            /* 41 */ "e4f4"
        },
        {   "Kasparov-X3D Fritz",
            /* 1 */ "g1f3", "g8f6",
            /* 2 */ "c2c4", "e7e6",
            /* 3 */ "b1c3", "d7d5",
            /* 4 */ "d2d4", "c7c6",
            /* 5 */ "e2e3", "a7a6 ?",
            /* 6 */ "c4c5", "b8d7",
            /* 7 */ "b2b4", "a6a5",
            /* 8 */ "b4b5", "e6e5",
            /* 9 */ "d1a4 !", "d8c7",
            /* 10 */ "c1a3", "e5e4",
            /* 11 */ "f3d2", "f8e7",
            /* 12 */ "b5b6", "c7d8",
            /* 13 */ "h2h3 !?", "e8g8",
            /* 14 */ "d2b3", "e7d6 ?!",
            /* 15 */ "a1b1", "d6e7 ?!",
            /* 16 */ "b3a5", "d7b8",
            /* 17 */ "a3b4", "d8d7",
            /* 18 */ "b1b2 !", "d7e6",
            /* 19 */ "a4d1", "f6d7 !",
            /* 20 */ "a2a3", "e6h6",
            /* 21 */ "a5b3", "e7h4",
            /* 22 */ "d1d2", "d7f6 ?",
            /* 23 */ "e1d1", "c8e6",
            /* 24 */ "d1c1", "f8d8",
            /* 25 */ "b2c2", "b8d7",
            /* 26 */ "c1b2", "d7f8",
            /* 27 */ "a3a4", "f8g6",
            /* 28 */ "a4a5", "g6e7",
            /* 29 */ "a5a6", "b7a6",
            /* 30 */ "b3a5", "d8b8",
            /* 31 */ "g2g3", "h4g5",
            /* 32 */ "f1g2", "h6g6",
            /* 33 */ "b2a1", "g8h8",
            /* 34 */ "c3a2", "e6d7",
            /* 35 */ "b4c3", "f6e8",
            /* 36 */ "a2b4", "h8g8",
            /* 37 */ "h1b1", "d7c8",
            /* 38 */ "c2a2", "g5h6",
            /* 39 */ "g2f1", "g6e6",
            /* 40 */ "d2d1", "e8f6",
            /* 41 */ "d1a4", "c8b7",
            /* 42 */ "a5b7", "b8b7",
            /* 43 */ "b4a6", "e6d7",
            /* 44 */ "a4c2", "g8h8",
            /* 45 */ "b1b3"
        }
    };

    static SelectorLabel[] LABELS;

    static
    {
        LABELS = new SelectorLabel[GAMES.length];

        for (int i=0; i < GAMES.length; i++)
            LABELS[i] = new SelectorLabel (i, GAMES[i][0]);
    }
}
